tbb::internal::unpadded_mail_outbox Class Reference

Internal representation of mail_outbox, without padding. More...

`#include <mailbox.h>`

Collaboration diagram for tbb::internal::unpadded_mail_outbox:

## Protected Types

typedef task_proxy *__TBB_atomic | proxy_ptr

## Protected Attributes

proxy_ptr | my_first
| Pointer to first task_proxy in mailbox, or NULL if box is empty. More...
proxy_ptr *__TBB_atomic | my_last
| Pointer to pointer that will point to next item in the queue. Never NULL. More...
tbb::atomic< int > | my_task_count
| Approximate number of tasks in mailbox to prevent an unlimited grow when the owner is not available. More...
bool | my_is_idle
| Owner of mailbox is not executing a task, and has drained its own task pool. More...

## Detailed Description

Internal representation of mail_outbox, without padding.

Definition at line 80 of file mailbox.h.

## Member Typedef Documentation

## proxy_ptr

typedef task_proxy* __TBB_atomic tbb::internal::unpadded_mail_outbox::proxy_ptr

protected

Definition at line 82 of file mailbox.h.

## Member Data Documentation

## my_first

proxy_ptr tbb::internal::unpadded_mail_outbox::my_first

protected

Pointer to first task_proxy in mailbox, or NULL if box is empty.

Definition at line 85 of file mailbox.h.

## my_is_idle

bool tbb::internal::unpadded_mail_outbox::my_is_idle

protected

Owner of mailbox is not executing a task, and has drained its own task pool.

Definition at line 94 of file mailbox.h.

## my_last

proxy_ptr* __TBB_atomic tbb::internal::unpadded_mail_outbox::my_last

protected

Pointer to pointer that will point to next item in the queue. Never NULL.

Definition at line 88 of file mailbox.h.

## my_task_count

tbb::atomic<int> tbb::internal::unpadded_mail_outbox::my_task_count

protected

Approximate number of tasks in mailbox to prevent an unlimited grow when the owner is not available.

Definition at line 91 of file mailbox.h.

The documentation for this class was generated from the following file:

- mailbox.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.